**Full name**: projects.locations.ragCorpora.ragFiles.delete

Deletes a RagFile.

### Endpoint

delete `https://{service-endpoint}/v1/{name}`   
Where `{service-endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest#rest_endpoints).

### Path parameters

`name` `string` Required. The name of the RagFile resource to be deleted. Format: `projects/{project}/locations/{location}/ragCorpora/{ragCorpus}/ragFiles/{ragFile}`

### Query parameters

`forceDelete` `boolean` Optional. If set to true, any errors generated by external vector database during the deletion will be ignored. The default value is false.

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/Shared.Types/ListOperationsResponse#Operation`.

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `aiplatform.ragFiles.delete`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).